<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iTransformSeqOpFactory Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iTransformSeqOpFactory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iTransformSeqOpFactory" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the seqop that transforms meshes.  
 <a href="structiTransformSeqOpFactory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sequences_8h_source.html">tools/sequences.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iTransformSeqOpFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiTransformSeqOpFactory.png" usemap="#iTransformSeqOpFactory_map" alt=""/>
  <map id="iTransformSeqOpFactory_map" name="iTransformSeqOpFactory_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,154,24"/>
</map>
 </div></div>

<p><a href="structiTransformSeqOpFactory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTransformSeqOpFactory.html#a7ba609309bff0e1ef34cb20ac729caab">SetEntityParameter</a> (const char *entity, const char *tag=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$').  <a href="#a7ba609309bff0e1ef34cb20ac729caab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTransformSeqOpFactory.html#abe0f926257b63cfd2dc54a8b119ae260">SetRotationParameter</a> (int rot_axis, const char *rot_angle)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the relative rotation parameter.  <a href="#abe0f926257b63cfd2dc54a8b119ae260"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTransformSeqOpFactory.html#aefc53204c5377ca70cca14ea3a622547">SetVectorParameter</a> (const char *vectorx, const char *vectory, const char *vectorz)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the relative movement vector parameter.  <a href="#aefc53204c5377ca70cca14ea3a622547"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the seqop that transforms meshes. </p>
<p>You can query this interface from the seqop factory if you want to manually control this factory as opposed to loading its definition from an XML document.</p>
<p>The predefined name of this seqop type is 'cel.seqops.transform'.</p>
<p>In XML, factories recognize the following attributes on the 'op' node:</p>
<ul>
<li><em>entity</em>: the name of the entity containing the pcmesh property class.</li>
<li><em>entity_tag</em>: optional tag used to find the right property class from the entity.</li>
<li><em>v</em>: optional movement vector. This node has 'x', 'y, and 'z' attributes. Each of these attributes can be a parameter.</li>
<li><em>rotx</em>: optional rotation along x axis. This node has an 'angle' parameter in radians. Angle can be a parameter.</li>
<li><em>roty</em>: optional rotation along y axis. This node has an 'angle' parameter in radians. Angle can be a parameter.</li>
<li><em>rotz</em>: optional rotation along z axis. This node has an 'angle' parameter in radians. Angle can be a parameter. </li>
</ul>

<p>Definition at line <a class="el" href="sequences_8h_source.html#l00467">467</a> of file <a class="el" href="sequences_8h_source.html">sequences.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7ba609309bff0e1ef34cb20ac729caab"></a><!-- doxytag: member="iTransformSeqOpFactory::SetEntityParameter" ref="a7ba609309bff0e1ef34cb20ac729caab" args="(const char *entity, const char *tag=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTransformSeqOpFactory.html#a7ba609309bff0e1ef34cb20ac729caab">iTransformSeqOpFactory::SetEntityParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>tag</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the entity containing the pcmesh (either entity name or a parameter if it starts with '$'). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">tag</td><td>is the optional tag of the entity or a parameter (starts with '$'). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abe0f926257b63cfd2dc54a8b119ae260"></a><!-- doxytag: member="iTransformSeqOpFactory::SetRotationParameter" ref="abe0f926257b63cfd2dc54a8b119ae260" args="(int rot_axis, const char *rot_angle)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTransformSeqOpFactory.html#abe0f926257b63cfd2dc54a8b119ae260">iTransformSeqOpFactory::SetRotationParameter</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rot_axis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>rot_angle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the relative rotation parameter. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rot_axis</td><td>is 0, 1, or 2 for x, y, or z axis. </td></tr>
    <tr><td class="paramname">rot_angle</td><td>the amount of rotation. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aefc53204c5377ca70cca14ea3a622547"></a><!-- doxytag: member="iTransformSeqOpFactory::SetVectorParameter" ref="aefc53204c5377ca70cca14ea3a622547" args="(const char *vectorx, const char *vectory, const char *vectorz)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTransformSeqOpFactory.html#aefc53204c5377ca70cca14ea3a622547">iTransformSeqOpFactory::SetVectorParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectorx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>vectorz</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the relative movement vector parameter. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="sequences_8h_source.html">sequences.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
